<?php
$errorMessages = true;	// for testing and debugging only  -  set to false for production versions
#
#---------------------------------------------------------------------------
# set error reporting  
#---------------------------------------------------------------------------
if (isset($_REQUEST['debug'])){		// display error messages 
	$noMissingLang = $errorMessages = true;
} 
if ($errorMessages) {
	ini_set('display_errors', 'On'); 
	error_reporting(E_ALL);
}
#---------------------------------------------------------------------------
# text used for demo page
$demoText_nl[0]= '<p style=" width: 90%; margin: auto;"><br />
Er zijn nog andere demo pagina&#39;s zonder de toelichtende teksten:<br /> 
<a href="./start.php?lang=nl">alles zichtbaar, pagina in blauwe kleur</a><br />
<a href="./startSmall.php?lang=nl">zo klein mogelijke weergave, transparant met achtergrond pagina in groen</a><br />
<a href="./startTop.php?lang=nl">alleen de icons voor uw startpagina op maximale breedte en transparante achtergrond</a><br />
<br /><a href="http://www.wiri.be/saratoga/wxsimforecast.php?lang=nl">in gebruik in een Saratoga template</a>
<hr /></p>'.PHP_EOL;

$demoText_en[0]=  '<p><br />There are other sample pages without explanatory text.:<br /> 
<a href="./start.php?lang=en">All parts separate, with page style in blue color.</a><br />
<a href="./startSmall.php?lang=en">Smallest possible display, transparent, with page style in green</a><br />
<a href="./startTop.php?lang=en">only icons to be used on a startpage with transparent background and width of 100%</a><br />
<br /><a href="http://www.wiri.be/saratoga/wxsimforecast.php?lang=en">and an example for use in the Saratoga template</a>
<hr /></p>'.PHP_EOL;

$demoText_nl[1]= '<hr /><p style=" width: 90%; margin: auto;">De tijd waarop de voorspelling is gemaakt 
en de geschatte tijd waarop een volgende voorspelling beschikbaar is.<br /></p><hr /><br />'.PHP_EOL;
$demoText_en[1]=  '<hr /><p>First part: The name of your station, update times and the like.
<br />You specify the name and explanatory text in the "settings".<br />All translations are done through the "language" files.</p><hr />'.PHP_EOL;

$demoText_nl[2]= '<hr /><p style=" width: 90%; margin: auto;">Een kort overzicht voor op de startpagina. 
Aanpasbaar qua breedte, aantal voorspellingen en iconen.<br /></p><hr /><br />'.PHP_EOL;
$demoText_en[2]=  '<br /><hr /><p style=" width: 90%; margin: auto;">Second part: The icons.<br />
A brief overview to be used as is on the homepage. Adjustable in width, number of predictions and icons.</p><br /><hr /><br />'.PHP_EOL; 

$demoText_nl[3]= '<br /><hr /><p style=" width: 90%; margin: auto;">Een javascript / high-charts weergave van alle voorspellingen. </p><hr /><br />'.PHP_EOL;
$demoText_en[3]= '<br /><hr /><p style=" width: 90%; margin: auto;">A javascript / high-charts graph with all information available.</p><hr /><br />'.PHP_EOL;

$demoText_nl[4]= '<br /><hr /><p style=" width: 90%; margin: auto;">De tabel/lijst met de meetwaardes per dagdeel / per 3 uur of per uur.<br />
Indien beschikbaar ook de waardes voor grond temperatuur en grond vochtigheid<br /></p>'.PHP_EOL;
$demoText_en[4]=  '<br /><hr /><p style=" width: 90%; margin: auto;">The list of the forecast information per day part / 3 hour and 1 hour .<br />
If available in the forecast a tab is displayed with soil/moisture forecasts</p>'.PHP_EOL; 

$demoText_nl[5]= '<br /><p style=" width: 90%; margin: auto;">
Door middel van een omsluitende div kan de hoogte beperkt worden en wordt de scrollbar vertoond 
als de hele tabel niet in de opgegeven hoogte past. </p><hr />'.PHP_EOL;
$demoText_en[5]=  '<br /><p style=" width: 90%; margin: auto;">
Through an enclosing "div" the height for the lists can be reduced.<br />
A scrollbar will appear when the entire table does not fit in the specified height.</p><hr />'.PHP_EOL; 

$demoText_nl[6]= '<hr /><p style=" width: 90%; margin: auto;">Credits</p>'.PHP_EOL;
$demoText_en[6]=  '<hr /><p style=" width: 90%; margin: auto;">Credits.</p>'.PHP_EOL;
#---------------------------------------------------------------------------
# Needed for stand alone use (without the template envirionment) 
#---------------------------------------------------------------------------
$standAlone				= true;			// false if we run in the template environment
$includeHead			= true; 		// <head><body><css><scripts> are loaded
$colorClass				= 'beige';		// pastel green blue beige orange 
$SITE = array();
$pathString				= '';

$SITE['charset']		= 'windows-1252'; 	// default character set for webpages (windows-1252)
if (!defined('ENT_XHTML')) {define ('ENT_XHTML' ,  32);}
$SITE['htmlVersion']	= ENT_XHTML; 		// html version of this page

#---------------------------------------------------------------------------
# Multilanguage support 
#---------------------------------------------------------------------------
$SITE['lang'] 			= 'nl';			// default language for website to use
$SITE['langFlags']		= false;    	// true=show flags
$SITE['langDir']		= 'lang/';		// all language files are store here
$SITE['langAvail']		= array('en', 'nl', 'fr', 'de', ); // english + duth + french + german
#---------------------------------------------------------------------------
# Directory settings
#---------------------------------------------------------------------------
$SITE['wxsimDir']		= './'; 		// this folder the script is executing from
$SITE['wxsimData']		= '../';	// root folder is the normal place
$SITE['cacheDir']		= 'cache/';		// this folder the script is executing from
$SITE['pageWidth']		= '800';		// the width of the page outputted
#---------------------------------------------------------------------------
$SITE['yourArea']		= 'yourArea';
$SITE['organ']			= 'yourStationName';
#---------------------------------------------------------------------------
# date and time settings
#---------------------------------------------------------------------------
$SITE['tz']				= 'Europe/Brussels'; // Time zone for the whole of western europe, leave it if you do not know your EXACT timezone description
$SITE['latitude']		= '50.89518';	// North=positive, South=negative decimal degrees
$SITE['longitude']		= '4.69741';	// East=positive, West=negative decimal degrees
$SITE['timeFormat']		= 'd-m-Y H:i';	// 31-03-2012 14:03
$SITE['timeOnlyFormat']	= 'H:i';		// Euro format hh:mm  (hh=00..23);
$SITE['dateOnlyFormat']	= 'd-m-Y';		// for 31-03-2013
$SITE['dateLongFormat']	= 'l d F Y';	// Thursday 3 january 2013
$SITE['hourOnlyFormat']	= 'H';			// Euro format 'H'  (hh=00..23);  us format 'h a'   05 pm
#---------------------------------------------------------------------------
# units of measurement UOM  settings
#---------------------------------------------------------------------------
$SITE['uomTemp']		= '&deg;C';		// ='&deg;C', ='&deg;F'
$SITE['uomRain']		= ' mm';		// =' mm', =' in'
$SITE['uomWind'] 		= ' km/h';		// =' km/h', =' kts', =' m/s', =' mph'
$SITE['uomBaro']		= ' hPa';		// =' hPa', =' mb', =' inHg'
$SITE['uomSnow']		= ' cm';		// =' cm', =' in'
$SITE['uomDistance']	= ' km';		// =' km', = ' mi'  used for visibillity 
#---------------------------------------------------------------------------
# extensions on your weather station
#---------------------------------------------------------------------------
$SITE['soilUsed']		= true;			// do we use soil moistere & temp sensors
$SITE['soilCount']		= '2';			// 4 = max numer of sensors, 3 = max latest.csv 2 max lastret.txt
$SITE['soilDepth'][1]	= 10;			// depth in units of $SITE['uomSnow'] (either cm  or inch)
$SITE['soilDepth'][2]	= 30;
#---------------------------------------------------------------------------
# directories where supporting scripts and files are located, all relative to the startDemo.php dir
#---------------------------------------------------------------------------
$SITE['imgDir']			= 'img/';			// contains images like sun-up  sun-down
$SITE['javascriptsDir']	= 'javaScripts/';	// contains the javascripts for graphs / tabs / tooltips
	// jquery.js
	// jquery.qtip.js
	// tabber.js
	// highcharts.js
$SITE['supportDir']		= 'otherScripts/';	
	// language translate scripts & language files	wsLangFunctions.php plus lang directory
	// general functions							wsFunctions.php
	// icon translate								wsIconUrl.php
	// stylesheet									styleWsWxsim.css
#---------------------------------------------------------------------------
# Multilanguage support 
#---------------------------------------------------------------------------
#  when starting the  script you can choose a different language
#    by adding ?lang=xx at the end of the script name
#    www.yourwebsite.com/wsWxsimSA/startdemo.php?lang=de
#
if (isset($_REQUEST['lang'])){		   // than check this request settings
	$s=trim(strtolower($_REQUEST['lang']));
	if (in_array($s, $SITE['langAvail']))	{ 
		$SITE['lang'] 	= $s;
		$lang 			= $SITE['lang'];
	}
}
#---------------------------------------------------------------------------
$pageName		= 'startDemo.php';
$pageVersion	= '1.30 2013-06-13';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
$pathString .= '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#---------------------------------------------------------------------------
# set the Timezone abbreviation automatically based on $SITE['tzname'];
#---------------------------------------------------------------------------
if (!function_exists('date_default_timezone_set')) {
	 putenv("TZ=" . $SITE['tz']);
} else {
	 date_default_timezone_set($SITE['tz']);
}
$SITE['tzName']	= date("T",time());
$pathString	.= '<!-- Timezone = '.$SITE['tzName'].' Time = '.date($SITE['timeFormat'],time()).' -->'.PHP_EOL;
#---------------------------------------------------------------------------
# load supporting scripts 
#---------------------------------------------------------------------------
$lang		= $SITE['lang'];
$script	= $SITE['wxsimDir'].$SITE['supportDir'].'wsLangFunctions.php';
$pathString	.= '<!-- trying to load '.$script.' -->'.PHP_EOL;
include_once($script);
$script	= $SITE['wxsimDir'].$SITE['supportDir'].'wsFunctions.php';
$pathString	.= '<!-- trying to load '.$script.' -->'.PHP_EOL;
include_once($script);
#
if ($includeHead) {
header("Content-Type: text/html; charset=".strtoupper($SITE['charset']));
echo'<!DOCTYPE html><html>
<head>
	<meta name="description" content="'.$SITE['organ'].' - startDemo.php>" />
	<meta http-equiv="Content-Type" content="text/html; charset='.$SITE['charset'].' "/>
	<link rel="stylesheet" type="text/css" href="styleWsWxsim.css" media="screen" title="screen" />
	<link rel="shortcut icon" href="img/icon.png" type="image/x-icon" />
	<meta http-equiv="Pragma" content="no-cache" />
	<meta http-equiv="Cache-Control" content="no-cache" />
	<meta name="Keywords" content="weather, Weather, temperature, dew point, humidity, forecast,  Weather, Your City, weather conditions, live weather, live weather conditions, weather data, weather history, Meteohub " />
	<meta name="Description" content="Weather conditions '.$SITE['organ'].'" />
	<title>'.$SITE['organ'].' -  Demo wxsim stand alone script</title>
	<script type="text/javascript">
		var docready=[],$=function(){return{ready:function(fn){docready.push(fn)}}};
	</script>
</head>
<body class="'.$colorClass.'" style="text-align: center;"><br />'.PHP_EOL;
} 
#	if you use your own page setup you should a line with
#
#	<link rel="stylesheet" type="text/css" href="styleWsWxsim.css" media="screen" title="screen" />
#
#  	in your html so that the correct css is loaded
#
echo $pathString;
#
$script		= $SITE['wxsimDir'].$SITE['supportDir'].'wsIconUrl.php';
echo '<!-- trying to load '.$script.' -->'.PHP_EOL;
include_once($script);
#
$uomTemp	= $SITE['uomTemp'];
# ========
$scriptFolder	= 'wsWxsim/';		// location of the ws wxsim scripts, set it here
if (isset ($SITE['wxsimDir']) )		{$scriptFolder = $SITE['wxsimDir'];}  // or is it already set in calling script
#
include ($scriptFolder.'wsWxsimSettings.php');
#
# load / parse plaintext.txt into array
include ($scriptFolder.'wsWxsimParser.php');	
$timeFormat 	= $SITE['timeOnlyFormat'];		// disturbed by plaintext script
#
# load  processing of lastret.txt or latest.csv into array
include ($scriptFolder.'wsWxsimGetFile.php');
#
# load first part of printing, all output tables are created here
include ($scriptFolder.'wsWxsimHtmlGen.php');
#
#echo '<div class="'.$colorClass.'" style="width: '.$mainWidth.'px;  padding: 4px 10px 10px 10px; margin: auto;">'.PHP_EOL;
echo '<div id="pagina" style="width: '.$mainWidth.'px;  padding: 4px 10px 10px 10px; margin: auto;">'.PHP_EOL;
if ($lang == 'nl') {echo $demoText_nl[0];} else {echo $demoText_en[0];}

echo '<div style=" margin: 0px 8px 4px 0px;">';		// div for header and create / update times
if ($displayTimes) { echo $wsUpdateTimes; }			// update time calculated in wsWxsimPrint1
echo '<h4 style="text-align: left;">'.langtransstr('wsWxsimForecast.').' '.langtransstr($SITE['yourArea']);
if ($displayTimes) { echo '<br />'; } else { echo '&nbsp;&nbsp;&nbsp;';}
echo langtransstr('by: ').$SITE['organ'].'</h4>'.PHP_EOL;
#
echo '</div>'.PHP_EOL;

if ($lang == 'nl') {echo $demoText_nl[1];} else {echo $demoText_en[1];}

echo $tableIcons;					// icons
echo $qtipTxtIcon;					// tooltip scripts	
echo '<br />'.PHP_EOL;

if ($lang == 'nl') {echo $demoText_nl[2];} else {echo $demoText_en[2];}
if ($graphsSeparate) {		// are the graphs separate (=true) on the page or are they in a tab
	echo '<div style="text-align: left;">
	'.$stringGraphDivs.'
	</div>
	';
}
if ($lang == 'nl') {echo $demoText_nl[3];} else {echo $demoText_en[3];}
# now the tabs for the tables with wxsim data
#
if ( isset($wxsimTabHeight) ) {
	$styleHeight='height:'.$wxsimTabHeight.';';
} else {
	$styleHeight='';
}
echo '<div class="tabber"  style="width:100%; text-align: left;">'.PHP_EOL;
echo '<div class="tabbertab" style="'.$styleHeight.'"><h2>'.langtransstr('Overview').'</h2>'.PHP_EOL;
	echo $tablePlain;						// plaintext.txt based information tab
	echo $qtipTxtPlain;						// tooltips
echo '</div>'.PHP_EOL;
for ($n=0;$n < count($printTable);$n++){ 	// print all table strings
	echo '<div class="tabbertab" style="'.$styleHeight.'"><h2>'.$tableName[$n].'</h2>'.PHP_EOL;
	echo $table[$n];
	echo $qtipTxt[$n];
	echo '</div>'.PHP_EOL;
}
if (!$graphsSeparate) {		// are the graphs separate on the page or are they in a tab  (=false)
	echo '<div class="tabbertab" style="overflow: hidden; '.$styleHeight.'"><h2>'.langtransstr('Graphs').'</h2>'.PHP_EOL;
	echo $stringGraphDivs;
	echo '</div>'.PHP_EOL;
}
echo $graphPart1;			// javascripts with all  the graphs are shown in the divs outputted above

if ($lang == 'nl') {echo $demoText_nl[4];} else {echo $demoText_en[4];}
if ($lang == 'nl') {echo $demoText_nl[5];} else {echo $demoText_en[5];}
#
# credit who is credit due
$arrContrib		= array();
$arrContrib[]	= array ('name' => 'Ken True',	'organ' => 'SaratogaWeather', 	'href' => 'http://saratoga-weather.org/');
$arrContrib[]	= array ('name' => 'Rob', 		'organ' => 'WellingtonWeather', 'href' => 'http://www.wellingtonweather.co.uk');
$arrContrib[]	= array ('name' => 'HENKKA',		'organ' => 'NordicWeather', 	'href' => 'http://www.nordicweather.net');
if ($icons == 'yrno') {
	$arrContrib[]	= array ('name' => 'icons',   	'organ' => 'DotVoid', 			'href' => 'http://www.dotvoid.com/weather-icons/');
} else {
	$arrContrib[]	= array ('name' => 'icons',   	'organ' => 'KDE', 				'href' => 'http://kde-look.org/content/show.php?content=39988');
}
echo '<small> WXSIM script developed by <a target="_blank" href="http://www.weerstation-leuven.be"> WeerstationLeuven</a>.&nbsp;&nbsp;
Based on scripts/snippets/icons from: ';
$last	= count($arrContrib);
for ($i = 0; $i < $last; $i++) {
	echo $arrContrib[$i]['name'].' from <a target="_blank" href="'.$arrContrib[$i]['href'].'">'.$arrContrib[$i]['organ'].'</a>';
	if ($i < $last - 2) 	{echo '; ';}
	if ($i == $last - 2) 	{echo ' and ';}
}
echo '.&nbsp;
Forecast is created from data by  <a target="_blank" href="http://www.wxsim.com">WXSIM</a>. Graphs are drawn using <a target="_blank"  href="http://www.highcharts.com">Highcharts</a>
</small>';

echo '</div>'.PHP_EOL;

if ($lang == 'nl') {echo $demoText_nl[6];} else {echo $demoText_en[6];}

# these are the needed javascripts which should be loaded after everything else
echo '<script type="text/javascript" src="'.$javaFolder.'jquery.js"></script>'.PHP_EOL;
echo '<script type="text/javascript" src="'.$javaFolder.'jquery.qtip.js"></script>'.PHP_EOL;
echo '<script type="text/javascript" src="'.$javaFolder.'tabber.js"></script>'.PHP_EOL;
echo '<script type="text/javascript" src="'.$javaFolder.'highcharts.js"></script>'.PHP_EOL;
echo '<script type="text/javascript">$=jQuery;jQuery(document).ready(function(){for(n in docready){docready[n]()}});</script>'.PHP_EOL;

# ========
if ($includeHead) {
	echo '
</div><br /></body>
</html>';
}
#
# Leave this code here .. it will help you see what language translations are missing 
# 
$string='';
foreach ($missingTrans as $key => $val) {
	$string.= "langlookup|$key|$key|".PHP_EOL;
}
if (strlen($string) > 0) {
	echo PHP_EOL.'<!-- missing langlookup entries for lang='.$lang.PHP_EOL;
	echo $string;
	echo count($missingTrans).' entries found.'.PHP_EOL.'End of missing langlookup entries -->'.PHP_EOL;
}
?>