<?php
if (!isset($SITE)){
	header ("Location: ../index.php");	// back to index/startpage if someone tries an
	exit;  								//  page to load without menu system//
}
$pageName		= 'wsWxsimPrintTop.php';
$pageVersion	= '0.20 2013-01-02';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#-------------------------------------------------------------------------------------
#   0.20   2013-01-02   beta with latest.csv support ! beta wxsim ONLY with ; separator
#	1.00   2013-mm-dd   release version
#-------------------------------------------------------------------------------------
# for testing and debugging only  -  set to comment for production versions
# and use option debug=Y on the url to debug in a production environment 
#ini_set('display_errors', 'On'); 
#error_reporting(E_ALL);
#---------------------------------------------------------------------------
# To do: 
#   
#-------------------------------------------------------------------------------------------------
#
# settings are  contained in wsWxsimsettings.php
#	the setting for the scriptfolder is needed to load the settingsfile 
#
$scriptFolder	= 'wsWxsim/';							// location of the ws wxsim scripts
if (isset ($SITE['wxsimDir']) )  	{$scriptFolder 	= $SITE['wxsimDir'];}
#
include ($scriptFolder.'wsWxsimSettings.php');
#
# load / parse plaintext.txt
include ($scriptFolder.'wsWxsimParser.php');			// parse plaintext.txt
$timeFormat 	= $SITE['timeOnlyFormat'];
#
$iconsOnly = true;
include ($scriptFolder.'wsWxsimHtmlGen.php');			// execute first part of this script - create icons and tooltips only
#
if ($displayTimes) { echo '<small>'.$wsUpdateTimes;		// display create and next update times created wsWxsimPrint1
echo langtransstr('wsWxsimForecast.').' '.$SITE['organ'].PHP_EOL;
echo '</small>'; }	
echo '<hr style="clear: both;">';
echo $tableIcons;					// icons
echo $qtipTxtIcon;					// tooltip scripts	
#
echo '<script type="text/javascript" src="'.$javaFolder.'jquery.js"></script>'.PHP_EOL;
echo '<script type="text/javascript" src="'.$javaFolder.'jquery.qtip.js"></script>'.PHP_EOL;
echo '<script type="text/javascript">$=jQuery;jQuery(document).ready(function(){for(n in docready){docready[n]()}});</script>'.PHP_EOL;
?>